Subject: Re: how do you "force a pull"?

From: Fredrik Tolf <[email-masked]>
Date: Sun, 26 Aug 2007 21:02:54 +0200

Jing Xue <[email-masked]> writes:

> I am working in repo1, and make a savepoint commit and pack up and leave.
>
> On another machine, I have a clone of repo1 (repo2). So I pull from
> repo1, "git reset --soft HEAD" to get rid of the savepoint commit, and start working in repo2.
>
> A while later I realize the earlier commit was actually a good commit
> point. But I can no longer pull it again from repo1. It keeps giving me
> the "Cannot merge" fatal error. "-f" doesn't help.

This is probably not as good an answer as David Watson's suggestion,
but if what you want is to commit your current code while still having
your savepoint commit in the history, shouldn't you be able to commit
your current code and then use git-rebase to rebase it onto the
savepoint commit?

Fredrik Tolf